package com.tfg.andreu.biblioteca;
//@Autor: Andreu Querol Salsench
// Llicencia: Aquesta obra està subjecta a una llicència de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
import org.json.JSONException;
import org.json.JSONObject;

public class Recordatori {

    private String data;
    private String titolLlibre;

    public Recordatori (String data, String titolLlibre){
        this.titolLlibre=titolLlibre;
        this.data=data;
    }

    public Recordatori (JSONObject RecordatorinJson){
        try{
            data = RecordatorinJson.getString("data");
            titolLlibre = RecordatorinJson.getString("titol");

        }catch(JSONException e){
            e.printStackTrace();
        }
    }

    public String getData(){
        return data;
    }

    public String getTitolLlibre(){
        return titolLlibre;
    }

    public void setDataRetorn(String data){
        this.data=data;
    }

    public void setTitolLlibre(String titolLlibre)
    {
        this.titolLlibre=titolLlibre;
    }



}
