CREATE DATABASE  IF NOT EXISTS `biblioteca` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `biblioteca`;
-- MySQL dump 10.13  Distrib 5.7.12, for Win32 (AMD64)
--
-- Host: localhost    Database: biblioteca
-- ------------------------------------------------------
-- Server version	5.7.18-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `llibres`
--

DROP TABLE IF EXISTS `llibres`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `llibres` (
  `id` int(11) NOT NULL,
  `Titol` varchar(100) DEFAULT NULL,
  `Autor` varchar(100) DEFAULT NULL,
  `DataPublicacio` date DEFAULT NULL,
  `Imatge` varchar(45) DEFAULT NULL,
  `Descripcio` varchar(500) DEFAULT NULL,
  `Tema` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `llibres`
--

LOCK TABLES `llibres` WRITE;
/*!40000 ALTER TABLE `llibres` DISABLE KEYS */;
INSERT INTO `llibres` VALUES (1,'Informática y deporte','Tulio Guterman','1998-01-01','informatica1.jpg','El presente libro se refiere a los diferentes usos de la computadora en el campo de la Educacion Fisica y las Ciencias del Deporte, y esta orientado a todos los profesionales y otras personas interesadas en estos temas','Informatica'),(2,'Una historia de la informática','Miquel Barceló','2008-01-01','informatica2.jpg','El objetivo de este libro es proporcionar una rápida introducción a la historia de una tecnología tan fundamental en nuestro tiempo como es la informática.','Informatica'),(3,'Escaneando la informática','M. Jesús Marco Galindo','2010-01-01','informatica3.jpg','Escaneando la informática quiere contribuir a la explicación -para todos los públicos- de las diferentes disciplinas de la informática, sus técnicas y las profesiones que se asocian.','Informatica'),(4,'Auditoría informática','Gonzalo Alonso Rivas','1989-01-01','informatica4.jpg','Auditoría informática. Auditoría informática en el áreade la planificación. Auditoría informática en el área de organización y administración.Auditoría informática en el área de construcción de sistemas.','Informatica'),(5,'Administración de proyectos de informática','Francisco J. Toro López','2013-01-01','informatica5.jpg','El manejo de proyectos en el área de la informática ha atraído especial interés desde hace algún tiempo, por parte de los teóricos y de los practicantes rasos.','Informatica'),(6,'Sistemas distribuidos: Conceptos y Diseño','George Coulouris, Jean Dollimore, Tim Kindberg','2007-01-01','informatica6.jpg','Sistemas distribuidos. Conceptos i diseño, tercera edición, incorpora los desarrollos màs recientes en la tecnología de los Sistemas distribuidos. Todos los capitulos han sido revisados y actualizados profundamente, poniendo énfasis en las aplicaciones a Internet, intranets, Web y middleware.','Informatica'),(7,'SEGURIDAD INFORMATICA','MARIA DEL PILAR ALEGRE RAMOS, ‎ALFONSO GARCÍA-CERVIGÓN HURTADO','2011-01-01','informatica7.jpg','Este libro está dirigido a los alumnos del módulo de Seguridad Informática, del ciclo de grado medio de Sistemas Microinformáticos y redes, perteneciente a la familia de Informática y Comunicaciones.','Informatica'),(8,'Seguridad en las instalaciones de telecomunicación e informática','Julián Cócera Rueda','2004-01-01','informatica8.jpg','Esta obra comienza en la organizacion general de la normativa, como se debe examinar la empresa frente al reto de la prevencion en riesgos laborales.','Informatica'),(9,'Gestión de proyectos informáticos: métodos, herramientas y casos','José Ramón Rodríguez','2005-01-01','informatica9.jpg','Metodología de gestión de proyectos informáticos es un libro dirigido a los informáticos o futuros informáticos que hacen proyectos, es decir a casi todos.','Informatica'),(10,'Administración Informática I: Análisis y Evaluación de Tecnologías','Gabriel Baca Urbina, ‎Pedro Fernando Solares Soto, ‎Elizabeth Acosta Gonzaga','2017-01-01','informatica10.jpg','Este texto fue diseñado para ser utilizado como auxiliar en un curso de Administración Informática, pues su contenido muestra múltiples aspectos de la administración de las TI dentro de las organizaciones','Informatica'),(11,'Historia de las matemáticas: En los últimos 1000 años','Ian Stewart','2008-01-01','matematiques1.jpg','El gran matemático y científico Ian Stewart nos ofrece en este libro una historia total de las matemáticas desde los primeros sistemas numéricos de la antigua Babilonia hasta los grandes problemas matemáticos aún no resueltos.','Matematiques'),(12,'Problemas de matemáticas para científicos y técnicos','Francisco Rodrigo del Molino, ‎Francisco Rodrigo Muñoz','1998-01-01','matematiques2.jpg','Contiene más de 380 ejercicios y problemas resueltos y más de 182 propuestos. Aborda los diferentes programas de Ampliación de Matemáticas, Métodos Matemáticos y otras asignaturas similares.','Matematiques'),(13,'Matemáticas para las ciencias aplicadas','Erich Steiner','2005-01-01','matematiques3.jpg','Este libro describe las matemáticas necesarias para todo el conjunto de temas que conforman una carrera universitaria de ciencias aplicadas.','Matematiques'),(14,'Matemáticas para biólogos','K. P. Hadeler','1982-01-01','matematiques4.jpg','El presente libro, nacido de unas lecciones de Matemáticas para Biólogos impartidas en la Universidad de Tubingen, ofrece una selección de temas matemáticos con aplicaciones a la Biología.','Matematiques'),(15,'Didáctica de las Matemáticas','M. Carmen Penalva Martinez, ‎Salvador Llinares Ciscar, ‎Julia Valls González','2011-01-01','matematiques5.jpg','Este libro está escrito pensando en la acción didáctica de los docentes desde el punto de vista de su práctica profesional.','Matematiques'),(16,'Matemática emocional: Los afectos en el aprendizaje matemático','Inés María Gómez Chacón','2000-01-01','matematiques6.jpg','The book tries to offer an alternative practical proposal for students who fail in school mathematics, integrating the affective and cognitive perspective in the teaching and learning situations.','Matematiques'),(17,'Matemáticas y contexto: Enfoques y estrategias para el aula','Inés María Gómez Chacón','1998-01-01','matematiques7.jpg','El presente libro nace de la reflexión desarrollada en torno a la búsqueda de propuestas alternativas para estudiantes que fracasan en la matemática escolar y pretende elaborar una aproximación crítica a las propuestas de matemáticas','Matematiques'),(18,'El discreto encanto de las matemáticas','Mariano Mataix Lorda','1988-01-01','matematiques8.jpg','D. Mariano Mataix Lorda, desde 1.978, ha publicado esta extensísima colección de problemas clásicos de ingenio, curiosidades, biografías,... del mundo matemático.','Matematiques'),(19,'Matemáticas: Una historia de amor y odio','Reuben Hersh, ‎Vera John-Steiner ','2012-01-01','matematiques9.jpg','Las matemáticas tienen para muchos mala fama: frías, complicadas, ajenas a todo aquello que no sea “racional”.','Matematiques'),(20,'Matemáticas: Prueba de acceso a Ciclos Formativos de Grado Superior','Alicia Espuig','2011-01-01','matematiques10.jpg','Este es un libro de texto para impartir las Matemáticas del Curso de Preparación de la Prueba de acceso a Ciclos Formativos de Grado Superior.','Matematiques');
/*!40000 ALTER TABLE `llibres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prestecs`
--

DROP TABLE IF EXISTS `prestecs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prestecs` (
  `IdUsuari` int(11) NOT NULL,
  `IdLlibre` int(11) NOT NULL,
  `Recordatori` tinyint(4) NOT NULL,
  `DataRetorn` date NOT NULL,
  `DataRecollida` date NOT NULL,
  `NumAmpliacions` int(1) NOT NULL DEFAULT '0',
  `Prestat` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`IdUsuari`,`IdLlibre`),
  KEY `fk_llibre_idx` (`IdLlibre`),
  CONSTRAINT `fk_llibre` FOREIGN KEY (`IdLlibre`) REFERENCES `llibres` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_usuari` FOREIGN KEY (`IdUsuari`) REFERENCES `usuaris` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prestecs`
--

LOCK TABLES `prestecs` WRITE;
/*!40000 ALTER TABLE `prestecs` DISABLE KEYS */;
/*!40000 ALTER TABLE `prestecs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuaris`
--

DROP TABLE IF EXISTS `usuaris`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuaris` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `DNI` varchar(9) NOT NULL,
  `NomReal` varchar(45) NOT NULL,
  `Contrasenya` varchar(45) NOT NULL,
  `Email` varchar(45) NOT NULL,
  `Carrer` varchar(45) NOT NULL,
  `NomUsuari` varchar(45) NOT NULL,
  `Poblacio` varchar(45) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `DNI_UNIQUE` (`DNI`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuaris`
--

LOCK TABLES `usuaris` WRITE;
/*!40000 ALTER TABLE `usuaris` DISABLE KEYS */;
INSERT INTO `usuaris` VALUES (1,'12345678A','Andreu Querol','12345','aquerol90','De dalt','aquerol','Mora'),(2,'12345678B','Sabi Sole','12345','ssole@asd','debre','ssole','mora'),(3,'12312321R','Cristian','12345','asd','asd','cgonzalez','asd'),(4,'21212234R','Jaume','12345','asd','asd','jquerol','asd'),(5,'12121212A','aquerol','12345','aqs@gmail.com','carrer','aqs','poble');
/*!40000 ALTER TABLE `usuaris` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-06-14 14:12:45
