package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;
//CLasse que proporciona acces al servei per ampliar el prestec d'un llibre per part d'un usuari
@Path("/ampliarPrestec")
public class AmpliarPrestec {
    @GET 
    @Path("/ampliar")
    @Produces(MediaType.APPLICATION_JSON) 
    //http://localhost:8080/biblioteca/ampliarPrestec/ampliar?idUsuari=1&idLlibre=1
    
    public String ampliarPrestec(@QueryParam("idUsuari") String idUsuari, @QueryParam("idLlibre") String idLlibre){
        String resposta="";

        //Si obtenim parametres valids executem la petici a la base de dades
        if(ConversorsJSON.stringNotNull(idUsuari) && ConversorsJSON.stringNotNull(idLlibre)){
            
        	try {       	
                resposta = ConnexioBDD.ampliarPrestec(idUsuari, idLlibre);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        //tornem la reposta utilitzant un String amb format JSON o be "" si els parametres no son correctes.
        return resposta;
    } 
}

