package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//CLasse que proporciona acces al servei per recordar a un usuari si pot recollir un llibre a partir del dia actual
@Path("/infoRecollida")
public class InfoRecollida {
	@GET 
    @Path("/info")
    @Produces(MediaType.APPLICATION_JSON) 
    //http://localhost:8080/biblioteca/infoRecollida/info?idUsuari=1
    
    public String infoRecollida(@QueryParam("idUsuari") String idUsuari){
        
		String resposta="";

        //Si obtenim parametres valids executem la petici a la base de dades
        if(ConversorsJSON.stringNotNull(idUsuari)){
            
        	try {       	
                resposta = ConnexioBDD.infoRecordatoriRecollida(idUsuari);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        //tornem la reposta utilitzant un String amb format JSON o be "" si els parametres no son correctes.
        return resposta;
    } 
}
