package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//Classe que proporciona la informaci per actualitzar les dades de una reserva en els detalls del llibre de l'aplicaci
@Path("/infoReserva")
public class InfoReserva {
    @GET
    @Path("/info")   
    @Produces(MediaType.APPLICATION_JSON) 
    
    //http://localhost:8080/biblioteca/infoReserva/info?idLlibre=1
    public String infoReserva(@QueryParam("idLlibre") String idLlibre){
        String resposta="";

        if(ConversorsJSON.stringNotNull(idLlibre)){
            
        	try {       	
                resposta = ConnexioBDD.infoReserva(idLlibre);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        
        return resposta;
    }
 
}
