package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//Classe que proporciona acces al servei per prestar un llibre de la biblioteca 
@Path("/bibliotecariPL")
public class PrestarLlibre {
	@GET 
    @Path("/prestarLlibre")
    @Produces(MediaType.APPLICATION_JSON) 

    public String prestarLlibre(@QueryParam("idLlibre") String idLlibre, @QueryParam("nomUsuari") String nomUsuari){
        String resposta="";

        //Si obtenim parametres valids executem la petici a la base de dades
        if(ConversorsJSON.stringNotNull(idLlibre) && ConversorsJSON.stringNotNull(nomUsuari)){
            
        	try {       	
                resposta = ConnexioBDD.prestarLlibre(idLlibre, nomUsuari);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        //tornem la reposta utilitzant un String amb format JSON o be "" si els parametres no son correctes.
        return resposta;
    } 
}
