package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

//Classe que conte tota la informaci necessaria per a les reserves
public class Reserva {

	private int idLlibre;
	private String titolLlibre;
	private String dataRecollida;
	private String dataTornada;
	private Boolean recordatori;
	private String imatge;
	private int numAmpliacions;
	
	public Reserva (int idLlibre, Boolean recordatori, String dataTornada, String dataRecollida, String titolLlibre, String imatge, int numAmpliacions){
		this.idLlibre=idLlibre;
		this.titolLlibre=titolLlibre;
		this.dataRecollida=dataRecollida;
		this.dataTornada=dataTornada;
		this.recordatori=recordatori;
		this.imatge=imatge;
		this.numAmpliacions=numAmpliacions;
	}
	
	public int getIdLlibre(){
		return idLlibre;
	}
	
	public String getTitolLlibre(){
		return titolLlibre;
	}
	
	public String getDataRecollida(){
		return dataRecollida;
	}
	
	public String getDataTornada(){
		return dataTornada;
	}
	public Boolean getRecordatori(){
		return recordatori;
	}
	
	public String getImatge(){
		return imatge;
	}
	public int getNumAmpliacions(){
		return numAmpliacions;
	}
	public void setNumAmpliacions(int numAmpliacions){
		this.numAmpliacions=numAmpliacions;
	}
	public void setIdLlibre(int idLlibre){
		this.idLlibre=idLlibre;
	}
	
	public void setTitolLlibre(String titolLlibre){
		this.titolLlibre=titolLlibre;
	}
	
	public void setDataRecollida(String dataRecollida){
		this.dataRecollida=dataRecollida;
	}
	
	public void setDataTornada(String dataTornada){
		this.dataTornada=dataTornada;
	}
	
	public void setRecordatori(Boolean recordatori){
		this.recordatori=recordatori;
	}
	
	public void setImatge(String imatge){
		this.imatge=imatge;
	}
	
}
