package com.tfg.andreu.bibliotecari;
//@Autor: Andreu Querol Salsench
// Llicencia: Aquesta obra està subjecta a una llicència de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class PrestarLlibreUsuari extends AppCompatActivity {

    private EditText nomUsuari;
    private Button bt_prestar_qr;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_prestar_llibre_usuari);
        getSupportActionBar().setTitle("Prestec");//Indiquem que estem a la activitat per a introduir el nom de l'usuari al qual li prestarem el llibre

        nomUsuari = (EditText) findViewById(R.id.nomUsuari);
        bt_prestar_qr = (Button) findViewById(R.id.bt_prestar_qr);

        bt_prestar_qr.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {

                String usuari = nomUsuari.getText().toString();

                if (usuari != null && usuari.trim().length() > 0){ //Si ens introdueixen un nom d'usuari

                    //Ens movem al escaner QR passant el nom d'usuari indicat
                    Intent intent = new Intent(PrestarLlibreUsuari.this, PrestarLlibreQR.class);
                    Bundle parametres = new Bundle();
                    parametres.putString("nomUsuari", usuari);

                    intent.putExtras(parametres);
                    startActivity(intent);
                    finish();
                }
                else{
                    Toast.makeText(getApplicationContext(), "S'ha d'introduir un nom d'usuari", Toast.LENGTH_LONG).show();
                }
            }
        });

    }

}
