package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//Classe que proporciona acces al servei per a crear un nou usuari
@Path("/bibliotecariCU")
public class CrearUsuari 
{
	@GET 
    @Path("/CrearUsuari")
    @Produces(MediaType.APPLICATION_JSON) 
    //http://localhost:8080/biblioteca/bibliotecari/CrearUsuari?...
    
    public String crearUsuari(@QueryParam("DNI") String dni, @QueryParam("nomReal") String nomReal, @QueryParam("poblacio") String poblacio, @QueryParam("carrer") String carrer, @QueryParam("email") String email, @QueryParam("nomUsuari") String nomUsuari, @QueryParam("password") String password){
        String resposta="";

        //Si obtenim parametres valids executem la petici a la base de dades
        if(ConversorsJSON.stringNotNull(dni) && ConversorsJSON.stringNotNull(nomReal) && ConversorsJSON.stringNotNull(poblacio) && ConversorsJSON.stringNotNull(carrer) && ConversorsJSON.stringNotNull(email) && ConversorsJSON.stringNotNull(nomUsuari) && ConversorsJSON.stringNotNull(password)){
        	
        	try {       	
                resposta = ConnexioBDD.crearUsuari(dni, nomReal, poblacio, carrer, email, nomUsuari, password);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        //tornem la reposta utilitzant un String amb format JSON o be "" si els parametres no son correctes.

        return resposta;
    } 
}
