package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//Classe que s'utilitza per a realitzar el login amb un usuari
@Path("/login")
public class Login {
    
    @GET
    @Path("/autentifica")   
    @Produces(MediaType.APPLICATION_JSON) 
    //http://localhost:8080/biblioteca/login/autentifica?usuari=aquerol&password=1234
    public String autentifica(@QueryParam("usuari") String usuari, @QueryParam("password") String password){
    	
        String resposta="";

        if(ConversorsJSON.stringNotNull(usuari) && ConversorsJSON.stringNotNull(password)){
            
        	try {
                resposta = ConnexioBDD.login(usuari, password);
                
            } catch (Exception e) {
            	e.printStackTrace();          
            }
        }
        return resposta;
    }

}