package com.biblioteca.jersey;

//@Autor: Andreu Querol Salsench
//Llicencia: Aquesta obra est subjecta a una llicncia de Reconeixement-NoComercial-SenseObraDerivada 3.0 Espanya de Creative Commons

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

//Classe que proporciona acces al servei per tornar un llibre a la biblioteca
@Path("/bibliotecariTL")
public class TornarLlibre {
	@GET 
    @Path("/tornarLlibre")
    @Produces(MediaType.APPLICATION_JSON) 
    //http://localhost:8080/biblioteca/bibliotecariTL/tornarLlibre?idLlibre=1
    public String tornarLlibre(@QueryParam("idLlibre") String idLlibre){
        String resposta="";

        //Si obtenim parametres valids executem la petici a la base de dades
        if(ConversorsJSON.stringNotNull(idLlibre)){
            
        	try {       	
                resposta = ConnexioBDD.tornarLlibre(idLlibre);         
                
            } catch (Exception e) {
                e.printStackTrace();
                
            }
        
        }
        //tornem la reposta utilitzant un String amb format JSON o be "" si els parametres no son correctes.
        
        return resposta;
    } 
}
